[EasyLinux-Suse] Updatechaos bei Leap 42.1

Heiko Ißleib heiko.issleib at gmail.com
So Apr 3 19:16:53 CEST 2016


Am Sonntag, 3. April 2016, 11:18:27 schrieb Maik Kiessling:
Hallo Maik,
> 
> nachdem schon seit Wochen kein Update mit dem Suseupdater mehr funktioniert
> (PackageKit blockiert zypper. Dies passiert, wenn Sie ein
> Aktualisierungsmodul oder eine andere Softwareverwaltungsanwendung
> benutzen, die PackageKit verwendet) habe ich gerade ein Update auf der
> Konsole versucht.

9 Jahre openSuse haben mich gelehrt,den grafischen KDE-Updater zum Einspielen 
von Updates nie zu benutzen.
Wenn er mich über Updates informiert,okay,Einspielen tue ich mit 
zypper,bestenfalls mit
yast-Software installieren.
oben auf Reiter Paket klicken
unten auf
alle Pakete,dann rechts daneben
Aktualisieren,falls neue Version verfügbar.

http://picpaste.de/yastupdate-shupeNiZ.png

Gelegentlich,wenn ich sowieso neue Software installieren will,date ich so ab. 
Prinzipiell ist zypper besser als jeder grafische Aufsatz.

> 
> Was auch nicht will
> 
> linux-boub:/home/maik # zypper up
> Metadaten von Repository 'openSUSE-Leap-42.1-Update' werden abgerufen
> -------[\]^C
> Fehler beim Download (curl) für '
> http://download.opensuse.org/update/leap/42.1/oss/repodata/4588bd60514123296
> cb4c78f02f1da4589da383fc1dd7e00bd4cf8381bfd543c-appdata.xml.gz ':
> Fehlercode: 'User abort'
> 
> (Anmerkung von mir: ??? - Welcher User bricht hier ab?)
> 
> Fehlermeldung: 'cancelled'
> Metadaten von Repository 'openSUSE-Leap-42.1-Update' werden abgerufen
> ..[Fehler]
> Repository 'openSUSE-Leap-42.1-Update' ist ungültig.
> [repo-update|http://download.opensuse.org/update/leap/42.1/oss/] Valid
> metadata not found at specified URL
> Bitte überprüfen Sie, ob die für dieses Repository bestimmten URIs auf ein
> gültiges Repository verweisen.
> Achtung: Repository 'openSUSE-Leap-42.1-Update' wird aufgrund des obigen
> Fehlers übersprungen.
> Metadaten von Repository 'openSUSE-Leap-42.1-Update-Non-Oss' werden
> abgerufen[|]
> Datei 'repomd.xml' aus Repository 'openSUSE-Leap-42.1-Update-Non-Oss' ist
> unsigniert, fortfahren? [ja/nein] (nein): Cannot read input: bad stream or
> EOF.
> Wenn Sie Zypper ohne ein Terminal ausführen, verwenden Sie die globale
> Option '--non-interactive',
> damit Zypper die Standardantworten bei Fragen verwendet.
> Metadaten von Repository 'openSUSE-Leap-42.1-Update-Non-Oss' werden
> abge[Fehler]
> Repository 'openSUSE-Leap-42.1-Update-Non-Oss' ist ungültig.
> [repo-update-non-oss|http://download.opensuse.org/update/leap/42.1/non-oss/]
> Valid metadata not found at specified URL
> Bitte überprüfen Sie, ob die für dieses Repository bestimmten URIs auf ein
> gültiges Repository verweisen.
> Achtung: Repository 'openSUSE-Leap-42.1-Update-Non-Oss' wird aufgrund des
> obigen Fehlers übersprungen.
> Einige der Repositories konnten aufgrund eines Fehlers nicht aktualisiert
> werden
> 
> Versteht das jemand? Mir wird das langsam aber sicher alles zu hoch!

Ich habe vorsichtshalber ein zyper ref vorangestellt.
Bei mir ist zypper ref und danach
zypper up vorhin normal durchgelaufen.

http://picpaste.de/zypper-BgZvXKNz.png

http://picpaste.de/zypper1-itSLhyuo.png
 
Am besten nochmal probieren.
Vielleicht waren die Repos ja wirklich offline.
Ändert sich das die nächsten Tage bei Dir nicht,dann melde Dich nochmal.

Gruß Heiko.

-- 
Erstellt mit Kmail openSuse leap 42.1.


Mehr Informationen über die Mailingliste Suse